# Interface JmolPlugin

All Known Implementing Classes:
  `NmrPlugin`

public interface JmolPlugin

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`ImageIcon`
`getMenuIcon()`
`String`
`getMenuText()`
`String`
`getName()`
`String`
`getVersion()`
`String`
`getWebSite()`
`boolean`
`isStarted()`
`void`
`notifyCallback(CBK type, Object[] data)`
`void`
`setVisible(boolean b)`
`void`
`start(JFrame frame, Viewer vwr, Map<String,Object> jmolOptions)`

## Method Details

### start

void start(JFrame frame, Viewer vwr, Map<String,Object> jmolOptions)

### destroy

void destroy()

### getVersion

String getVersion()

### getName

String getName()

### setVisible

void setVisible(boolean b)

### notifyCallback

void notifyCallback(CBK type, Object[] data)

### getMenuIcon

ImageIcon getMenuIcon()

### getMenuText

String getMenuText()

### isStarted

boolean isStarted()

### getWebSite

String getWebSite()